## congress 7.0.0+dfsg1

=== debian/changelog ===
congress (7.0.0+dfsg1-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:24:42 +0000

congress (7.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Generating policy.json using --format json.
  * Removed debconf templates, using those from openstack-pkg-tools >= 70~.
  * Added RabbitMQ management.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 11:42:21 +0100

congress (7.0.0~rc2+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch: Stubs_the_loading_of_namespace_in_config-agent_unit_tests.patch.
  * Switched to Python 3.
  * Add patch to add a MANIFEST.in to install all files.
  * Standards-Version is now 4.1.3 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 12:32:36 +0000

congress (6.0.0+dfsg1-3) unstable; urgency=medium

  [ David Rabel ]
  * Added initial ru.po (Closes: #883338).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:04:26 +0000

congress (6.0.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added initial de.po (Closes: #844564).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 11:00:29 +0000

congress (6.0.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Add fix-missing-oslo.log-import.patch.
  * Using testr to run tests.
  * Blacklist congress.tests.haht.test_congress_haht.TestCongressHAHT*.
  * Add ${ostack-lsb-base} subst vars.
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 03:01:09 +0200

=== debian/control ===
Source: congress
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 antlr3,
 python3-antlr3,
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-cinderclient (>= 3.3.0),
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-dateutil,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking,
 python3-heatclient (>= 1.6.1),
 python3-ironicclient (>= 2.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mistralclient (>= 3.1.0),
 python3-mock,
 python3-monascaclient (>= 1.7.0),
 python3-mox3 (>= 0.20.0),
 python3-muranoclient,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-pastedeploy,
 python3-pulp,
 python3-requests-mock (>= 1.1),
 python3-routes,
 python3-six,
 python3-swiftclient (>= 3.2.0),
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 sixer,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/congress
Vcs-Git: https://salsa.debian.org/openstack-team/services/congress.git
Homepage: https://github.com/openstack/congress

Package: congress-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-congress (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends:
 adduser,
 congress-common (= ${binary:Version}),
 debconf,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

Package: python3-congress
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 antlr3,
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-cinderclient (>= 3.3.0),
 python3-cryptography (>= 1.9),
 python3-dateutil,
 python3-eventlet,
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.6.1),
 python3-ironicclient (>= 2.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mistralclient (>= 3.1.0),
 python3-monascaclient (>= 1.7.0),
 python3-muranoclient (>= 0.8.3),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-pulp,
 python3-routes,
 python3-six,
 python3-swiftclient (>= 3.2.0),
 python3-tenacity (>= 3.2.1),
 python3-webob (>= 1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-congress,
Replaces:
 python-congress,
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Congress.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_clean:
	dh_clean
	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst debian/congress-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates debian/po
	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm congress-common.postrm
	pkgos-merge-templates congress-server congress endpoint
	pkgos-merge-templates congress-common congress db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	antlr3 congress/datalog/Congress.g
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressParser.py
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressLexer.py
	sed -i 's#\t#        #g' congress/datalog/CongressParser.py
	sixer all -w congress/datalog/CongressParser.py
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
        done
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/congress/datalog/Python*

	rm -rf rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'congress\.tests(?!.*haht\.test_congress_haht\.TestCongressHAHT.*)'
endif

	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf \
		--wrap-width 79 \
		--namespace congress \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware.cors \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf keystone_authtoken congress

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/policy.json \
		--format json \
		--namespace congress

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress-agent.conf \
		--wrap-width 79 \
		--namespace congress-agent \
		--namespace oslo.log \
		--namespace oslo.messaging

	dh_install
	dh_missing --fail-missing

	install -D -m 0644 $(CURDIR)/etc/api-paste.ini $(CURDIR)/debian/congress-common/usr/share/congress-common/api-paste.ini

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## congress 8.0.0+dfsg1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
PuLP>=1.4.1 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
aodhclient>=0.9.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-monascaclient>=1.12.1 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
alembic>=0.8.10 # MIT
cryptography>=2.1 # BSD/Apache-2.0
netaddr>=0.7.18 # BSD
python-dateutil>=2.5.3 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
tenacity>=4.4.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
WebOb>=1.7.1 # MIT
PyYAML>=3.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx>=1.7.3 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
congress (8.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/congress/congress-agent.conf on purge (Closes: #905510).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 11:24:33 +0200

congress (8.0.0~rc1+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist 2 failing tests (see upstream bug:
    https://bugs.launchpad.net/congress/+bug/1788808):
    - TestDriverModel.test_drivers_list_with_custom_drivers()
    - TestDatasourceModel.test_add_datasource_with_custom_driver()

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 10:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: congress
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -21,28 +21,29 @@
  python3-babel,
  python3-cinderclient (>= 3.3.0),
  python3-coverage,
- python3-cryptography (>= 1.9),
+ python3-cryptography (>= 2.1),
  python3-dateutil,
  python3-eventlet,
  python3-fixtures,
  python3-glanceclient (>= 1:2.8.0),
  python3-hacking,
  python3-heatclient (>= 1.6.1),
- python3-ironicclient (>= 2.2.0),
+ python3-ironicclient (>= 2.3.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-mistralclient (>= 3.1.0),
  python3-mock,
- python3-monascaclient (>= 1.7.0),
+ python3-monascaclient (>= 1.12.1),
  python3-mox3 (>= 0.20.0),
  python3-muranoclient,
- python3-neutronclient (>= 1:6.3.0),
+ python3-netaddr,
+ python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
@@ -57,14 +58,16 @@
  python3-paste,
  python3-pastedeploy,
  python3-pulp,
- python3-requests-mock (>= 1.1),
+ python3-requests-mock (>= 1.2.0),
  python3-routes,
  python3-six,
+ python3-sphinxcontrib.apidoc,
  python3-swiftclient (>= 3.2.0),
- python3-tenacity (>= 3.2.1),
+ python3-tenacity (>= 4.4.0),
  python3-testscenarios,
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1.7.1),
+ python3-yaml,
  sixer,
  subunit,
  testrepository,
@@ -117,23 +120,24 @@
  python3-aodhclient (>= 0.9.0),
  python3-babel,
  python3-cinderclient (>= 3.3.0),
- python3-cryptography (>= 1.9),
+ python3-cryptography (>= 2.1),
  python3-dateutil,
  python3-eventlet,
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.6.1),
- python3-ironicclient (>= 2.2.0),
+ python3-ironicclient (>= 2.3.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-mistralclient (>= 3.1.0),
- python3-monascaclient (>= 1.7.0),
+ python3-monascaclient (>= 1.12.1),
  python3-muranoclient (>= 0.8.3),
- python3-neutronclient (>= 1:6.3.0),
+ python3-netaddr,
+ python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
@@ -151,8 +155,9 @@
  python3-routes,
  python3-six,
  python3-swiftclient (>= 3.2.0),
- python3-tenacity (>= 3.2.1),
+ python3-tenacity (>= 4.4.0),
  python3-webob (>= 1.7.1),
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	rm -rf rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'congress\.tests(?!.*haht\.test_congress_haht\.TestCongressHAHT.*)'
+	pkgos-dh_auto_test --no-py2 'congress\.tests(?!(.*haht\.test_congress_haht\.TestCongressHAHT.*|.*api\.test_driver_model\.TestDriverModel\.test_drivers_list_with_custom_drivers.*|.*api\.test_datasource_model\.TestDatasourceModel\.test_add_datasource_with_custom_driver.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common

## congress 9.0.0+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-Babel!=2.4.0,>=2.3.4 # BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 jsonschema<3.0.0,>=2.6.0 # MIT
 PuLP>=1.4.1 # MIT
@@ -12,6 +11,7 @@
 PasteDeploy>=1.5.0 # MIT
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 aodhclient>=0.9.0 # Apache-2.0
+python-tackerclient>=0.8.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-monascaclient>=1.12.1 # Apache-2.0
@@ -25,8 +25,11 @@
 alembic>=0.8.10 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
 netaddr>=0.7.18 # BSD
+jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
+psycopg2>=2.5.1 # LGPL/ZPL
 python-dateutil>=2.5.3 # BSD
 python-glanceclient>=2.8.0 # Apache-2.0
+requests>=2.14.2,!=2.20.0 # Apache-2.0
 Routes>=2.3.1 # MIT
 six>=1.10.0 # MIT
 tenacity>=4.4.0 # Apache-2.0
@@ -38,6 +41,7 @@
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.vmware>=2.17.0 # Apache-2.0

=== debian/changelog ===
congress (9.0.0+dfsg1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Correctly clean-up builds (Closes: #928791).

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2019 23:07:03 +0200

congress (9.0.0+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:31:05 +0200

congress (9.0.0+dfsg1-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:45:54 +0200

congress (9.0.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:14:06 +0200

congress (9.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Add new (build-)depends, and removed versions when satisfied in Buster.
  * Removed python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 21:08:51 +0100

=== debian/control ===
Source: congress
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 antlr3,
 python3-antlr3,
 python3-aodhclient,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-ironicclient,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-mistralclient,
 python3-mock,
 python3-monascaclient,
 python3-mox3,
 python3-muranoclient,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pulp,
 python3-requests,
 python3-requests-mock,
 python3-routes,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-swiftclient,
 python3-tackerclient,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 sixer,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/congress
Vcs-Git: https://salsa.debian.org/openstack-team/services/congress.git
Homepage: https://github.com/openstack/congress

Package: congress-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-congress (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends:
 adduser,
 congress-common (= ${binary:Version}),
 debconf,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

Package: python3-congress
Section: python
Architecture: all
Depends:
 alembic,
 antlr3,
 python3-aodhclient,
 python3-cinderclient,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-glanceclient,
 python3-heatclient,
 python3-ironicclient,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-mistralclient,
 python3-monascaclient,
 python3-muranoclient,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pulp,
 python3-requests,
 python3-routes,
 python3-six,
 python3-swiftclient,
 python3-tackerclient,
 python3-tenacity,
 python3-webob,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-congress,
Replaces:
 python-congress,
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Congress.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr Congress.tokens congress/tests/etc/keys
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."
@@ -47,7 +50,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges oslo-config-generator \
 		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf \
 		--wrap-width 79 \
 		--namespace congress \
@@ -59,12 +62,12 @@
 		--namespace keystonemiddleware.auth_token
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf keystone_authtoken congress
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/policy.json \
 		--format json \
 		--namespace congress
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-pacakges oslo-config-generator \
 		--output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress-agent.conf \
 		--wrap-width 79 \
 		--namespace congress-agent \

## congress 10.0.0+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-jsonschema<3.0.0,>=2.6.0 # MIT
+eventlet!=0.18.3,!=0.20.1,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
+jsonschema>=2.6.0 # MIT
 PuLP>=1.4.1 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,5 +4,6 @@
 
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx>=1.7.3 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
congress (10.0.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:23:12 +0200

congress (10.0.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:01:51 +0200

congress (10.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 10:39:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,14 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3,systemd
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
 	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst debian/congress-common.postrm
 	rm -rf debian/*.upstart debian/*.service debian/*.templates debian/po
 	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py
+	python3 setup.py clean
+	rm -rf build .stestr Congress.tokens congress/tests/etc/keys
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.config
@@ -19,12 +22,6 @@
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm congress-common.postrm
 	pkgos-merge-templates congress-server congress endpoint
 	pkgos-merge-templates congress-common congress db rabbit ksat
-
-override_dh_auto_clean:
-	python3 setup.py clean
-	rm -rf build .stestr Congress.tokens congress/tests/etc/keys
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."
@@ -38,10 +35,8 @@
 	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressLexer.py
 	sed -i 's#\t#        #g' congress/datalog/CongressParser.py
 	sixer all -w congress/datalog/CongressParser.py
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
-        done
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/congress/datalog/Python*
+	pkgos-dh_auto_install --no-py2 --in-tmp
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/congress/datalog/Python2
 
 	rm -rf rm -rf $(CURDIR)/debian/tmp/usr/etc

## congress 11.0.0~rc1+dfsg1

=== debian/changelog ===
congress (11.0.0~rc1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:59:57 +0200

congress (11.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 12:57:52 +0200

congress (10.0.0+dfsg1-3) unstable; urgency=medium

  * Fix tests, run serial, no parallel (Closes: #925564).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 12 Mar 2020 18:42:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	rm -rf rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'congress\.tests(?!(.*haht\.test_congress_haht\.TestCongressHAHT.*|.*api\.test_driver_model\.TestDriverModel\.test_drivers_list_with_custom_drivers.*|.*api\.test_datasource_model\.TestDatasourceModel\.test_add_datasource_with_custom_driver.*))'
+	pkgos-dh_auto_test --no-parallel --serial --no-py2 'congress\.tests(?!(.*haht\.test_congress_haht\.TestCongressHAHT.*|.*api\.test_driver_model\.TestDriverModel\.test_drivers_list_with_custom_drivers.*|.*api\.test_datasource_model\.TestDatasourceModel\.test_add_datasource_with_custom_driver.*))'
 endif
 
 	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common

## congress 11.0.0+dfsg1

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,5 @@
 
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
+sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
congress (11.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:45:43 +0200
